% Function to calculate indices representing locked-knee, sitting, low weight on feet and seat contact phases of the trials
% Written by Simon van der Helm, April 2019

function [indices_standing_locked_knee, indices_sitting, indices_lowweightonfeet, indices_seatcontact] = CalcIndices(F_GRF_chair, F_GRF_sound, F_GRF_pros, knee_flexion_pros)

weight_chair = min(F_GRF_chair(:,3));
weight_body = median(F_GRF_chair(:,3)+F_GRF_sound+F_GRF_pros) - weight_chair;
max_locked_angle = min(knee_flexion_pros) + .1*(max(knee_flexion_pros) - min(knee_flexion_pros));
indices_standing_locked_knee = find(F_GRF_chair(:,3) < weight_chair + .05*weight_body & knee_flexion_pros < max_locked_angle);
indices_sitting = find(F_GRF_chair(:,3) > .8*weight_body );
indices_lowweightonfeet = find((F_GRF_pros + F_GRF_sound) < .05*weight_body );
indices_seatcontact = find(F_GRF_chair(:,3) > .1*weight_body + weight_chair );