% Function to calculate mean times for stand up and sit down based on partitioned raw data
% Written by A. Pennycot, February 2023

function [meanStandTime, meanSitTime, stdStandTime, stdSitTime] = CalcMeanStandSitTimes(partitionedData)

% standing
meanStandTime = zeros(size(partitionedData));
stdStandTime = zeros(size(partitionedData));
for i = 1:size(partitionedData, 1)
    for j = 1:size(partitionedData, 2)
        standTime = partitionedData{i, j}.stand.StartStop(:, 2) - partitionedData{i, j}.stand.StartStop(:, 1);
        meanStandTime(i, j) = mean(standTime);
        stdStandTime(i, j) = std(standTime);
    end
end

% sitting
meanSitTime = zeros(size(partitionedData));
stdSitTime = zeros(size(partitionedData));
for i = 1:size(partitionedData, 1)
    for j = 1:size(partitionedData, 2)
        sitTime = partitionedData{i, j}.sit.StartStop(:, 2) - partitionedData{i, j}.sit.StartStop(:, 1);
        meanSitTime(i, j) = mean(sitTime);
        stdSitTime(i, j) = std(sitTime);
    end
end

end