% Function to calculate work done based on integral of joint moment with
% respect to joint angle using the trapezoidal rule
% written by A. Pennycott, February 2023

function meanWorkDone = CalcWorkDone(partitionedData)

workDone = cell(size(partitionedData));

% standing
for i = 1:size(partitionedData, 1)
    for j = 1:size(partitionedData, 2)
        for k = 1:length(partitionedData{i, j}.stand.phi_knee_S)
            workDone{i, j}.stand.sound(k) = trapz(partitionedData{i, j}.stand.phi_knee_S{k}, partitionedData{i, j}.stand.M_knee_S{k});
            workDone{i, j}.stand.pros(k)  = trapz(partitionedData{i, j}.stand.phi_knee_P{k}, partitionedData{i, j}.stand.M_knee_P{k});
        end
        meanWorkDone.stand.sound(i, j) = mean(workDone{i, j}.stand.sound);
        meanWorkDone.stand.pros(i, j)  = mean(workDone{i, j}.stand.pros);
    end
end

% sitting
for i = 1:size(partitionedData, 1)
    for j = 1:size(partitionedData, 2)
        for k = 1:length(partitionedData{i, j}.sit.phi_knee_S)
            workDone{i, j}.sit.sound(k) =  trapz(partitionedData{i, j}.sit.phi_knee_S{k}, partitionedData{i, j}.sit.M_knee_S{k});
            workDone{i, j}.sit.pros(k)  =  trapz(partitionedData{i, j}.sit.phi_knee_P{k}, partitionedData{i, j}.sit.M_knee_P{k});
        end
        meanWorkDone.sit.sound(i, j) = mean(workDone{i, j}.sit.sound);
        meanWorkDone.sit.pros(i, j)  = mean(workDone{i, j}.sit.pros);
    end
end
