% Function to calculate knee flexion based on already-calculated indices and kinematic data
% Written by Simon van der Helm, April 2019

function [knee_flexion_sound, knee_flexion_pros] = CalibrateKneeFlexion(indices_standing_locked_knee, knee_flexion_sound, knee_flexion_pros)

%calibrate to have knee flexion be zero for minimal angle during stance:
knee_flexion_pros = knee_flexion_pros - nanmedian(knee_flexion_pros(indices_standing_locked_knee));

%median does not work for healthy leg, because that is more
%variable and not fully extended when the prosthesis is. Use the minimum instaed.
knee_flexion_sound = knee_flexion_sound - nanmin(knee_flexion_sound(indices_standing_locked_knee));