% Function to assess differences in weeight ratio and time durations across
% the different experimental conditions with and without ERIK support
% via the Kruskal Wallis test
% Written by Simon van der Helm, April 2019

close all;

%% KW on stand-up durations
durations_manual = [ 
    64.0, 103.0;
    25.0, 47.8;
    55.6, 72.9;
    27.8, 53.0;
    32.4, 65.9;
    22.7, 27.8;
    26.3, 38.0];

kruskalwallis(durations_manual)
title('Stand-up durations without and with ERiK support');
xlabel('Condition');
xticklabels({'Without ERiK support', 'With ERiK support'});
ylabel('Stand-up duration (s)');
set(gcf, 'Position', get(0, 'Screensize'));

medianweightratios = [
 13.8,  19.8;
 12.1,  17.3;
 11.6,  16.6;
 23.2,  24.7;
 12.2,  17.9;
 21.9,  27.3;
 23.0,  25.9];

kruskalwallis(medianweightratios);
title('Median percentage of prosthetic-side weight bearing during transition phases without and with ERiK support');
xlabel('Condition');
xticklabels({'Without ERiK support', 'With ERiK support'});
ylabel('Prosthetic-side weight bearing (%)');
set(gcf, 'Position', get(0, 'Screensize'));

