% Function to load trial data from appropriate folder
% Written by Simon van der Helm, April 2019

function [marker_trajectories, force] = LoadTrialData(indices_matfiles, folderContents)

for i_trialfile = indices_matfiles' % Loop through the trial data files

    if ~exist([folderContents.folder{i_trialfile},'\', folderContents.name{i_trialfile}(1:end-4)], 'dir')
        mkdir(folderContents.folder{i_trialfile}, folderContents.name{i_trialfile}(1:end-4)) % Create a folder for the trial if it did not exist
    end
    temp = load([folderContents.folder{i_trialfile},'\', folderContents.name{i_trialfile}]); % Load the trial data
    fName = fieldnames(temp); % Find the fieldnames
    marker_trajectories(i_trialfile) = temp.(fName{1}).Trajectories.Labeled; % Extract the marker data
    force(i_trialfile, :) = temp.(fName{1}).Force; % Extract the force data
end