% Function to resample and process raw force data
% Written by Simon van der Helm, April 2019

function force = ProcessForce(isubject, i_trialfile, force)

force = CorrectSwitchedForcePlateData(isubject, i_trialfile, force);
force = FillMissingForceplateData(i_trialfile, force);

function force = FillMissingForceplateData(i_trialfile, force)

% Fill the missing forceplate data (no filtering)
for k = 1:3
    force_resampled = resample(force(i_trialfile, k).Force',1,10)';
    force_filled = fillmissing(force_resampled,'linear',2);
    force(i_trialfile,k).Force = force_filled;

    cop_resampled = resample(force(i_trialfile,k).COP',1,10)';
    cop_filled = fillmissing(cop_resampled,'linear',2);
    force(i_trialfile,k).COP = cop_filled;
end