% Function for creating variables for the sound and prosthetic legs according to "prosthesis" flag
% Written by A. Pennycott, February 2023, 

function [knee_flexion_sound, knee_flexion_pros, M_knee_s, M_knee_p, M_hip_s, M_hip_p, F_GRF_sound, F_GRF_pros] = ...
    SelectProsAndSound(isubject, phi_knee_L, phi_knee_R, M_knee_L, M_knee_R, M_hip_L, M_hip_R, F_GRF_L, F_GRF_R)

global prosthesis_subjects;

prosthesis = prosthesis_subjects(eval(isubject));

if lower(prosthesis) == 'l'
    knee_flexion_sound = phi_knee_R;
    knee_flexion_pros = phi_knee_L;

    F_GRF_pros = F_GRF_L(:,3);
    F_GRF_sound = F_GRF_R(:,3);
    M_knee_p = M_knee_L;
    M_hip_p = M_hip_L;
    M_knee_s = M_knee_R;
    M_hip_s = M_hip_R;

else
    knee_flexion_sound = phi_knee_L;
    knee_flexion_pros = phi_knee_R;

    F_GRF_sound = F_GRF_L(:,3);
    F_GRF_pros = F_GRF_R(:,3);
    M_knee_p = M_knee_R;
    M_hip_p = M_hip_R;
    M_knee_s = M_knee_L;
    M_hip_s = M_hip_L;
end