%% Function to make 1x1 structs from nx1 structs
% Written by Simon van der Helm

function [newStruct] = Struct2Struct(oldStruct)

fields = fieldnames(oldStruct); % Find the fieldnames
newStruct = struct();
for i = 1:length(fields) % For all the fields
    field = fields{i}; % Fieldname
    if ischar(oldStruct(1).(field)) % Check if the field contains characters
        data = {}; % Cell array     
        for j = 1:length(oldStruct)
            data{j,1}=oldStruct(j).(field); % Save the contents of the fields in the old structure
        end
    else
        data = []; % Normal Array
        for j = 1:length(oldStruct)
            data(j,1)=oldStruct(j).(field); % Save the contents of the fields in the old structure
        end
    end
    newStruct.(field) = data; % Save the data array in the field in the new structure
end
