% Function for updating the main variables used in the figures for the Wearable Technologies publication
% Written by A. Pennycott, February 2023

function processedData = UpdateProcessedData(ifolder, isubject, trialname, rangeFolders, ...
    knee_flexion_sound, knee_flexion_pros, M_knee_L, M_knee_R, processedData)

global prosthesis_subjects;

rowIndex = find(rangeFolders == ifolder);
if trialname(1:4) == '5met'
    colIndex = 2;
elseif trialname(1:4) == '5zon'
    colIndex = 1;
end

% time data based on sample frequency
processedData{rowIndex, colIndex}.time = ((1:size(M_knee_L, 1))/100)';

if prosthesis_subjects(eval(isubject)) == 'l'
    processedData{rowIndex, colIndex}.M_knee_S = M_knee_R;
    processedData{rowIndex, colIndex}.M_knee_P = M_knee_L;
else
    processedData{rowIndex, colIndex}.M_knee_S = M_knee_L;
    processedData{rowIndex, colIndex}.M_knee_P = M_knee_R;
end

processedData{rowIndex, colIndex}.phi_knee_S = knee_flexion_sound;
processedData{rowIndex, colIndex}.phi_knee_P = knee_flexion_pros;
